com.digi.xbee.api.models

## Enum XBeeTransmitStatus

- java.lang.Object
- - java.lang.Enum<XBeeTransmitStatus>
  - - com.digi.xbee.api.models.XBeeTransmitStatus

- All Implemented Interfaces:
    Serializable, Comparable<XBeeTransmitStatus>

      public enum XBeeTransmitStatus
      extends Enum<XBeeTransmitStatus>

  Enumerates the different transmit status. Transmit status field is part of the `TransmitStatusPacket` indicating the status of the transmission.
  See Also:
    `TransmitStatusPacket`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDRESS_NOT_FOUND`
    `BROADCAST_ERROR_APS`
    `BROADCAST_ERROR_APS_EE0`
    `BROADCAST_FAILED`
    `CCA_FAILURE`
    `INDIRECT_MESSAGE_UNREUESTED`
    `INVALID_BINDING_TABLE_INDEX`
    `INVALID_DESTINATION`
    `NETWORK_ACK_FAILURE`
    `NO_ACK`
    `NOT_JOINED_NETWORK`
    `PAYLOAD_TOO_LARGE`
    `PURGED`
    `RESOURCE_ERROR`
    `RESOURCE_ERROR_BIS`
    `ROUTE_NOT_FOUND`
    `SELF_ADDRESSED`
    `SOCKET_CREATION_FAILED`
    `SUCCESS`
    `WIFI_PHYSICAL_ERROR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XBeeTransmitStatus` | `get(int id)` Returns the `XBeeTransmitStatus` associated to the given ID.
    `String` | `getDescription()` Returns the XBee transmit status description.
    `int` | `getId()` Returns the XBee transmit status ID.
    `String` | `toString()`
    `static XBeeTransmitStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static XBeeTransmitStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADDRESS_NOT_FOUND

          public static final XBeeTransmitStatus ADDRESS_NOT_FOUND

    - #### BROADCAST_ERROR_APS

          public static final XBeeTransmitStatus BROADCAST_ERROR_APS

    - #### BROADCAST_ERROR_APS_EE0

          public static final XBeeTransmitStatus BROADCAST_ERROR_APS_EE0

    - #### BROADCAST_FAILED

          public static final XBeeTransmitStatus BROADCAST_FAILED

    - #### CCA_FAILURE

          public static final XBeeTransmitStatus CCA_FAILURE

    - #### INDIRECT_MESSAGE_UNREUESTED

          public static final XBeeTransmitStatus INDIRECT_MESSAGE_UNREUESTED

    - #### INVALID_BINDING_TABLE_INDEX

          public static final XBeeTransmitStatus INVALID_BINDING_TABLE_INDEX

    - #### INVALID_DESTINATION

          public static final XBeeTransmitStatus INVALID_DESTINATION

    - #### NETWORK_ACK_FAILURE

          public static final XBeeTransmitStatus NETWORK_ACK_FAILURE

    - #### NO_ACK

          public static final XBeeTransmitStatus NO_ACK

    - #### NOT_JOINED_NETWORK

          public static final XBeeTransmitStatus NOT_JOINED_NETWORK

    - #### PAYLOAD_TOO_LARGE

          public static final XBeeTransmitStatus PAYLOAD_TOO_LARGE

    - #### PURGED

          public static final XBeeTransmitStatus PURGED

    - #### RESOURCE_ERROR

          public static final XBeeTransmitStatus RESOURCE_ERROR

    - #### RESOURCE_ERROR_BIS

          public static final XBeeTransmitStatus RESOURCE_ERROR_BIS

    - #### ROUTE_NOT_FOUND

          public static final XBeeTransmitStatus ROUTE_NOT_FOUND

    - #### SELF_ADDRESSED

          public static final XBeeTransmitStatus SELF_ADDRESSED

    - #### SOCKET_CREATION_FAILED

          public static final XBeeTransmitStatus SOCKET_CREATION_FAILED

    - #### SUCCESS

          public static final XBeeTransmitStatus SUCCESS

    - #### WIFI_PHYSICAL_ERROR

          public static final XBeeTransmitStatus WIFI_PHYSICAL_ERROR

  - ### Method Detail

    - #### get

          public static XBeeTransmitStatus get(int id)

      Returns the `XBeeTransmitStatus` associated to the given ID.
      Parameters:
        `id` - ID of the `XBeeTransmitStatus` to retrieve.
      Returns:
        The `XBeeTransmitStatus` associated to the given ID.

    - #### getDescription

          public String getDescription()

      Returns the XBee transmit status description.
      Returns:
        XBee transmit status description.

    - #### getId

          public int getId()

      Returns the XBee transmit status ID.
      Returns:
        XBee transmit status ID.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<XBeeTransmitStatus>`

    - #### valueOf

          public static XBeeTransmitStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static XBeeTransmitStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XBeeTransmitStatus c : XBeeTransmitStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

© Copyright 2014–2014 Digi International Inc. All rights reserved.